AGSol (Art Gallery Solver) 1.0.2 This package contains a software capable of optimally solving the Art Gallery Problem (AGP), one interesting NP-hard problem from the Computational Geometry field. The algorithm implemented in this solution, which can be today considered the state-of-the-art technique on the AGP, can be found in details in the following paper: Davi C. Tozoni, Pedro J. de Rezende, Cid C. de Souza. A Practical Iterative Algorithm for the Art Gallery Problem using Integer Linear Programming

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions
Public Member Functions | List of all members
AVPLightGrid Class Reference
Inheritance diagram for AVPLightGrid:

## Public Member Functions
| ~AVPLightGrid ()
virtual void | makeGrid ()
void | addToGrid (std::vector< PolygonExt > vet)
Public Member Functions inherited from IGrid
| IGrid ()
void | setPolygon (PolygonWithHolesExt polygon)
void | setVisibilityPolygons (std::vector< PolygonExt > visPol)
int | getGridMem ()
void | addGridPoint (Point p)
std::vector< Point > | getGridPoints ()
std::vector< PolygonExt > | getStruct1 ()
std::vector< PolygonExt > | getStruct2 ()

## Additional Inherited Members
Protected Attributes inherited from IGrid
PolygonWithHolesExt | _polygon
std::vector< PolygonExt > | _visPol
std::vector< Point > | _grid
bool | _visOk
bool | _debug
int | _gridMem
double | _gridTime
std::vector< PolygonExt > | _struct1
std::vector< PolygonExt > | _struct2

## Constructor & Destructor Documentation

AVPLightGrid::~AVPLightGrid | ( |  | ) |

Destrutor. Frees arrangement's and observer's memory

## Member Function Documentation

void AVPLightGrid::addToGrid | ( | std::vector< PolygonExt > | vet | ) |

Adds edges from new visibility polygons in the arrangement.

void AVPLightGrid::makeGrid | ( |  | ) |
| virtual

Constructs the grid.

Implements IGrid.

The documentation for this class was generated from the following files:

- grid/AVPLightGrid.h
- grid/AVPLightGrid.C